import request from '/@/utils/request';

export function judgeReportApi() {
    return {
        getCardList: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/report/assemble/certificate/list`,
                method: 'post',
                data: data
            });
        },
        addCard: (data: Array<any>) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/report/assemble/certificate`,
                method: 'post',
                data: data
            });
        },
        delCard: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/report/assemble/certificate/del`,
                method: 'post',
                data: data
            });
        },
        getJudgeList: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/report/assemble/assessment/list`,
                method: 'post',
                data: data
            });
        },
        addJudge: (data: Array<any>) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/report/assemble/assessment`,
                method: 'post',
                data: data
            });
        },
        delJudge: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/report/assemble/assessment/del`,
                method: 'post',
                data: data
            });
        },
        getProductList: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/report/assemble/craft/manage/list`,
                method: 'post',
                data: data
            });
        },
        addProduct: (data: Array<any>) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/report/assemble/craft/manage`,
                method: 'post',
                data: data
            });
        },
        delProduct: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/report/assemble/craft/manage/del`,
                method: 'post',
                data: data
            });
        },
        getParkingList: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/report/assemble/start/stop/manage/list`,
                method: 'post',
                data: data
            });
        },
        addParking: (data: Array<any>) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/report/assemble/start/stop/manage`,
                method: 'post',
                data: data
            });
        },
        delParking: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/report/assemble/start/stop/manage/del`,
                method: 'post',
                data: data
            });
        },
        getCrowList: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/report/assemble/person/list`,
                method: 'post',
                data: data
            });
        },
        addCrow: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/report/assemble/person`,
                method: 'post',
                data: data
            });
        },
        delCrow: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/report/assemble/person/del`,
                method: 'post',
                data: data
            });
        },
        getEquipList: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/report/assemble/device/list`,
                method: 'post',
                data: data
            });
        },
        addEquip: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/report/assemble/device`,
                method: 'post',
                data: data
            });
        },
        delEquip: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/report/assemble/device/del`,
                method: 'post',
                data: data
            });
        },
        getPositionList: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/report/assemble/person/position/list`,
                method: 'post',
                data: data
            });
        },
        addPosition: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/report/assemble/person/position`,
                method: 'post',
                data: data
            });
        },
        delPosition: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/report/assemble/person/position/del`,
                method: 'post',
                data: data
            });
        }
    };
}
